Bug 640423 - Dynagroups: Cannot "Save & Recalculate" a dynagroup from the creation wizard
Dynagroups: Cannot "Save & Recalculate" a dynagroup from the creation wizard
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-groups
  Show dependency treegraph
 
Reported: 2010-10-05 15:19 EDT by Corey Welton
Modified: 2011-05-23 21:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-05 15:19:24 EDT
Description of problem:
Attempting to "Save & Recalculate" a newly created dynagroup from within the wizard appears to fail.  Furthermore, the dynagroup gets silently saved.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1.  Attempt to create a dynagroup.  give it a name of "foobar" and an expression of:

resource.type.plugin = Platforms
resource.type.name = Linux

2.  Click the Save & Recalculate button.  Note failure
3.  Click the Save button.  Note different failure.
  
Actual results:
* Save & Recalculate: User gets error, "Failed to Recalculate this group definition"
* Save:  User is given a fail notice that "A group definition with this name already exists"

Expected results:
Calc works
System should indicate that the dynagroup was already otherwise saved so s/he doesn't get stuck wondering what happened.

Additional info:
Comment 1 John Mazzitelli 2011-02-17 14:43:21 EST
we could take out the save&recalculate button - just have this page create/save the group. you then calculate it later.
Comment 2 John Mazzitelli 2011-02-18 10:51:43 EST
commit 2940445

save&recalculate button now works.
Comment 3 Corey Welton 2011-03-02 16:44:35 EST
Verified.
Comment 4 Corey Welton 2011-05-23 21:13:38 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:13:39 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:13:39 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.